Tags
Create a tag
POST
/
workspaces
/
{workspace_uuid}
/
tags
Create a tag
curl --request POST \
--url https://app.reachboost.io/api/v1/workspaces/{workspace_uuid}/tags \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"name": "Example Tag"
}
'const options = {
method: 'POST',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Example Tag'})
};
fetch('https://app.reachboost.io/api/v1/workspaces/{workspace_uuid}/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.reachboost.io/api/v1/workspaces/{workspace_uuid}/tags"
payload = { "name": "Example Tag" }
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)require 'uri'
require 'net/http'
url = URI("https://app.reachboost.io/api/v1/workspaces/{workspace_uuid}/tags")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-Api-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Example Tag\"\n}"
response = http.request(request)
puts response.read_body{
"uuid": "26cbc634-4cea-4697-ab30-fb7ed16ad45c",
"name": "Example Tag",
"created_at": "2026-01-10 10:00:00.000000",
"updated_at": "2026-01-10 10:00:00.000000"
}{
"error": "Invalid API key"
}{
"error": "Validation failed"
}{
"error": "Rate limit exceeded. Please try again later.",
"code": "rate_limit_exceeded",
"retry_after": 17
}Path Parameters
⌘I
Create a tag
curl --request POST \
--url https://app.reachboost.io/api/v1/workspaces/{workspace_uuid}/tags \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"name": "Example Tag"
}
'const options = {
method: 'POST',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Example Tag'})
};
fetch('https://app.reachboost.io/api/v1/workspaces/{workspace_uuid}/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.reachboost.io/api/v1/workspaces/{workspace_uuid}/tags"
payload = { "name": "Example Tag" }
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)require 'uri'
require 'net/http'
url = URI("https://app.reachboost.io/api/v1/workspaces/{workspace_uuid}/tags")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-Api-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Example Tag\"\n}"
response = http.request(request)
puts response.read_body{
"uuid": "26cbc634-4cea-4697-ab30-fb7ed16ad45c",
"name": "Example Tag",
"created_at": "2026-01-10 10:00:00.000000",
"updated_at": "2026-01-10 10:00:00.000000"
}{
"error": "Invalid API key"
}{
"error": "Validation failed"
}{
"error": "Rate limit exceeded. Please try again later.",
"code": "rate_limit_exceeded",
"retry_after": 17
}
